AU_BSM_TO_FCNTL_CMD(3)

NAME
au_bsm_to_fcntl_cmd, au_fcntl_cmd_to_bsm - convert between BSM and local fcntl(2) command values

LIBRARY
libbsm

SYNOPSIS
#include <bsm/libbsm.h>
int
au_bsm_to_fcntl_cmd(u_short bsm_fcntl_cmd, int *local_fcntl_cmdp);
u_short
au_fcntl_cmd_to_bsm(int local_fcntl_cmd);

DESCRIPTION
These interfaces may be used to convert between the local and BSM fcntl(2) command values. The au_bsm_to_fcntl_cmd() function accepts a BSM command value, bsm_fcntl_cmd, and converts it to a local command value passed to fcntl(2), that will be stored in the integer pointed to by local_fcntl_cmdp if successful. This call will fail if the BSM command value cannot be mapped into a local fcntl(2) command value which may occur if the command token was generated on another operating system.

The au_fcntl_cmd_to_bsm() function accepts a local fcntl(2) command value, and returns the BSM fcntl(2) command value for it. This call cannot fail, and instead returns a BSM command value indicating to a later decoder that the command value could not be encoded.

RETURN VALUES
On success, au_bsm_to_fcntl_cmd() returns 0 and a converted command value; on failure, it returns -1 but does not set errno(2).

SEE ALSO
fcntl(2), au_bsm_to_domain(3), au_domain_to_bsm(3), au_bsm_to_socket_type(3), au_socket_type_to_bsm(3), libbsm(3)

HISTORY
au_bsm_to_domain() and au_domain_to_bsm() were introduced in OpenBSM 1.1.

AUTHORS
These functions were implemented by Stacey Son under contract to Apple Inc.

The Basic Security Module (BSM) interface to audit records and audit event stream format were defined by Sun Microsystems.